%define modname lxml
%define subrel 1

Name:           python-%{modname}
URL:            http://codespeak.net/lxml/
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Version:        3.2.4
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
Source:         http://pypi.python.org/packages/source/l/lxml/%{modname}-%{version}.tar.gz
Patch0:         CVE-2014-3146.patch
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libexslt) 
BuildRequires:  python-cython
BuildRequires:  python-setuptools

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%package -n python3-%{modname}
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{modname}
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
%description docs
This package provides the documentation for %{name}, e.g. the API as html.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1
# remove the C extension so that it will be rebuilt using the latest Cython
rm -f src/lxml/lxml.etree.c
rm -f src/lxml/lxml.etree.h
rm -f src/lxml/lxml.etree_api.h
rm -f src/lxml/lxml.objectify.c

chmod a-x doc/rest2html.py
%{__sed} -i 's/\r//' doc/s5/ui/default/print.css \
    doc/s5/ep2008/atom.rng \
    doc/s5/ui/default/iepngfix.htc

rm -rf %{py3dir}
cp -r . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python} setup.py build --with-cython

cp src/lxml/lxml.etree.c %{py3dir}/src/lxml
cp src/lxml/lxml.etree.h %{py3dir}/src/lxml
cp src/lxml/lxml.etree_api.h %{py3dir}/src/lxml
cp src/lxml/lxml.objectify.c %{py3dir}/src/lxml

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build --with-cython
popd

%install
%{__python} setup.py install --skip-build --no-compile --with-cython --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --no-compile --with-cython --root %{buildroot}
popd


%files
%doc LICENSES.txt PKG-INFO CREDITS.txt CHANGES.txt
%{python_sitearch}/lxml*

%files docs
%doc doc/*

%files -n python3-lxml
%doc LICENSES.txt PKG-INFO CREDITS.txt CHANGES.txt
%{python3_sitearch}/lxml*



%changelog
* Sat May 10 2014 philippem <philippem> 3.2.4-1.1.mga4
+ Revision: 621757
- fix CVE-2014-3146 mga#13326

* Fri Dec 27 2013 philippem <philippem> 3.2.4-1.mga4
+ Revision: 560959
- Update to 3.2.4

* Tue Oct 22 2013 umeabot <umeabot> 3.2.3-3.mga4
+ Revision: 543721
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.2.3-2.mga4
+ Revision: 498872
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jul 29 2013 philippem <philippem> 3.2.3-1.mga4
+ Revision: 460668
- Update to 3.2.3

* Wed Jun 12 2013 philippem <philippem> 3.2.1-2.mga4
+ Revision: 442226
- build with cython and add python3
- using pyrex
- new upstream

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-2.mga3
+ Revision: 379081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 philippem <philippem> 3.0.1-1.mga3
+ Revision: 322181
- Update to 3.0.1

* Sat Sep 29 2012 philippem <philippem> 2.3.6-1.mga3
+ Revision: 300219
- new version 2.3.6

* Sat Sep 08 2012 philippem <philippem> 2.3.5-1.mga3
+ Revision: 290055
- New upstream release 2.3.5

* Sun Jan 15 2012 tv <tv> 2.3.3-2.mga2
+ Revision: 196274
- skip huge doc

* Sun Jan 08 2012 philippem <philippem> 2.3.3-1.mga2
+ Revision: 193263
- Update to 2.3.3.

* Fri Nov 18 2011 philippem <philippem> 2.3.2-1.mga2
+ Revision: 168679
- Update to 2.3.2

* Wed Oct 26 2011 philippem <philippem> 2.3.1-1.mga2
+ Revision: 158300
- new upstream 2.3.1

* Mon Jul 04 2011 ahmad <ahmad> 2.3-1.mga2
+ Revision: 118022
- Update to 2.3

* Thu Feb 10 2011 dmorgan <dmorgan> 2.2.8-2.mga1
+ Revision: 49795
- Fix buildrequires
- Fix buildrequire
- imported package python-lxml

